package org.jenkinsci.plugins.p4_client;

import hudson.model.FreeStyleProject;
import hudson.scm.SCM;

import org.jenkinsci.plugins.p4_client.workspace.StaticWorkspaceImpl;
import org.jenkinsci.plugins.p4_client.workspace.Workspace;
import org.jvnet.hudson.test.HudsonTestCase;

public class PerforceScmTest extends HudsonTestCase {

	public void testConfigBasic() throws Exception {
		FreeStyleProject project = createFreeStyleProject();

		String credential = "123";
		Workspace workspace = new StaticWorkspaceImpl("none", "test.ws");
		PerforceScm scm = new PerforceScm(credential, workspace);

		project.setScm(scm);
		SCM testScm = project.getScm();
		assertEquals("org.jenkinsci.plugins.p4_client.PerforceScm",
				testScm.getType());

		assertTrue(testScm.supportsPolling());
		assertTrue(testScm.requiresWorkspaceForPolling());

		assertEqualBeans(testScm, project.getScm(), "credential,workspace");
	}

}
